<?php
declare(strict_types=1);
namespace OliverHader\ExtbaseArguments\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

class Model extends AbstractEntity
{
    /**
     * @var string
     *
     */
    protected $value = '';

    /**
     * @var \OliverHader\ExtbaseArguments\Domain\Model\Model
     */
    protected $model;

    /**
     * @return string
     */
    public function getValue(): string
    {
        return $this->value;
    }

    /**
     * @param string $value
     */
    public function setValue(string $value): void
    {
        $this->value = $value;
    }

    /**
     * @return Model
     */
    public function getModel(): ?Model
    {
        return $this->model;
    }

    /**
     * @param Model $model
     */
    public function setModel(Model $model): void
    {
        $this->model = $model;
    }
}